# MediaCollectionContent - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message.content.abstracts / MediaCollectionContent

# MediaCollectionContent

(common) `interface MediaCollectionContent<T : TelegramMediaFile> : MessageContent, MediaContent` (source)

### Properties

(common)

#### mediaCollection

`abstract val mediaCollection: List<T>`

### Inheritors

(common)

#### PhotoContent

`data class PhotoContent : MediaCollectionContent<PhotoSize>, MediaGroupContent`